Returns the number of elements in the set

- « QuickHashIntSet::exists

- QuickHashIntSet::loadFromFile »

- PHP Manual
- QuickHashIntSet
- Returns the number of elements in the set

# QuickHashIntSet::getSize

(PECL quickhash >= Unknown)

QuickHashIntSet::getSize — Returns the number of elements in the set

### Description

public QuickHashIntSet::getSize(): int

Returns the number of elements in the set.

### Parameters

This function has no parameters.

### Return Values

The number of elements in the set.

### Examples

Example #1 QuickHashIntSet::getSize() example

    <?php$set = new QuickHashIntSet( 8 );var_dump( $set->add( 2 ) );var_dump( $set->add( 3 ) );var_dump( $set->getSize() );?>

The above example will output something similar to:

    bool(true)
    bool(true)
    int(2)